<?php

require_once ("../../config/Cado.php");

require_once ("cProducto.php");

$oProducto = new cProducto();



//defino una clase que voy a utilizar para generar los elementos sugeridos en autocompletar

class ElementoAutocompletar {

   var $value;

   var $label;

   var $cataid;

   var $uni;

   var $marid;

   var $codbar;

 

   

   function __construct($value, $label,$cataid, $uni,$marid, $codbar){

      $this->value = $value;

	  $this->label = $label;

      $this->cataid = $cataid;

      $this->uni = $uni;

      $this->marid = $marid;

	  $this->codbar = $codbar;

      

   }

}



//recibo el dato que deseo buscar sugerencias

$datoBuscar = $_GET["term"];



//busco un valor aproximado al dato escrito

$rs=$oProducto->complete_nom($datoBuscar,20);



//creo el array de los elementos sugeridos

$arrayElementos = array();



//bucle para meter todas las sugerencias de autocompletar en el array

while ($fila = mysqli_fetch_array($rs)){

	$uni = '<option value='.$fila["tb_unidad_id"].'>'.$fila['tb_unidad_nom'].'</option>';

	

   array_push($arrayElementos, new ElementoAutocompletar($fila["tb_producto_nom"],$fila["tb_producto_nom"].' :: '.$fila["tb_unidad_abr"].' | '.$fila["tb_marca_nom"], $fila["tb_catalogo_id"],$uni,$fila["tb_marca_id"],$fila["tb_productomarca_codbar"]));

}



print_r(json_encode($arrayElementos));



?>